<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg">

    <com.dlc.eboard.ui.widget.TitleBar
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:showNotice="true"
        app:signed="false" />

    <com.dlc.eboard.ui.widget.NavViewCompat
        android:id="@+id/nav_view"
        android:layout_width="0dp"
        android:layout_height="42dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar"
        app:location="指纹录入"
        app:showBack="true"
        app:showFingerEnroll="false"
        app:showHome="false" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="17dp"
        android:layout_marginTop="7dp"
        android:layout_marginEnd="17dp"
        android:layout_marginBottom="50dp"
        android:background="@drawable/shape_rect_round_11_solid_white_20p"
        android:paddingStart="17dp"
        android:paddingEnd="17dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/nav_view">

        <TextView
            android:id="@+id/tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="26dp"
            android:text="请您选择需要录入的指纹"
            android:textColor="#FF163277"
            android:textSize="17sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/middle_line"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <ImageView
            android:id="@+id/left"
            android:layout_width="255dp"
            android:layout_height="281dp"
            android:layout_marginEnd="20dp"
            android:contentDescription="@null"
            android:src="@mipmap/img_zs"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/middle_line"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/right"
            android:layout_width="255dp"
            android:layout_height="281dp"
            android:layout_marginStart="20dp"
            android:contentDescription="@null"
            android:src="@mipmap/img_ys"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/middle_line"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/fingerLeft1"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginTop="70dp"
            android:contentDescription="@null"
            android:translationX="-7dp"
            app:layout_constraintStart_toStartOf="@id/left"
            app:layout_constraintTop_toTopOf="@id/left"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerLeft1Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:translationX="-7dp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerLeft1"
            app:layout_constraintStart_toStartOf="@id/fingerLeft1"
            app:layout_constraintTop_toBottomOf="@id/fingerLeft1"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerLeft2"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginStart="34dp"
            android:layout_marginTop="15dp"
            android:contentDescription="@null"
            app:layout_constraintStart_toStartOf="@id/left"
            app:layout_constraintTop_toTopOf="@id/left"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerLeft2Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerLeft2"
            app:layout_constraintStart_toStartOf="@id/fingerLeft2"
            app:layout_constraintTop_toBottomOf="@id/fingerLeft2"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerLeft3"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginStart="92dp"
            android:contentDescription="@null"
            android:translationY="-10dp"
            app:layout_constraintStart_toStartOf="@id/left"
            app:layout_constraintTop_toTopOf="@id/left"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerLeft3Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerLeft3"
            app:layout_constraintStart_toStartOf="@id/fingerLeft3"
            app:layout_constraintTop_toBottomOf="@id/fingerLeft3"
            tools:ignore="SmallSp"
            tools:translationY="-10dp" />

        <ImageView
            android:id="@+id/fingerLeft4"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginTop="17dp"
            android:layout_marginEnd="60dp"
            android:contentDescription="@null"
            app:layout_constraintEnd_toEndOf="@id/left"
            app:layout_constraintTop_toTopOf="@id/left"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerLeft4Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerLeft4"
            app:layout_constraintStart_toStartOf="@id/fingerLeft4"
            app:layout_constraintTop_toBottomOf="@id/fingerLeft4"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerLeft5"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginTop="116dp"
            android:contentDescription="@null"
            app:layout_constraintEnd_toEndOf="@id/left"
            app:layout_constraintTop_toTopOf="@id/left"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerLeft5Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerLeft5"
            app:layout_constraintStart_toStartOf="@id/fingerLeft5"
            app:layout_constraintTop_toBottomOf="@id/fingerLeft5"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerRight1"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginTop="70dp"
            android:contentDescription="@null"
            android:translationX="7dp"
            app:layout_constraintEnd_toEndOf="@id/right"
            app:layout_constraintTop_toTopOf="@id/right"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerRight1Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:translationX="7dp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerRight1"
            app:layout_constraintStart_toStartOf="@id/fingerRight1"
            app:layout_constraintTop_toBottomOf="@id/fingerRight1"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerRight2"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="34dp"
            android:contentDescription="@null"
            app:layout_constraintEnd_toEndOf="@id/right"
            app:layout_constraintTop_toTopOf="@id/right"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerRight2Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerRight2"
            app:layout_constraintStart_toStartOf="@id/fingerRight2"
            app:layout_constraintTop_toBottomOf="@id/fingerRight2"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerRight3"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginEnd="92dp"
            android:contentDescription="@null"
            android:translationY="-10dp"
            app:layout_constraintEnd_toEndOf="@id/right"
            app:layout_constraintTop_toTopOf="@id/right"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerRight3Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:translationY="-10dp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerRight3"
            app:layout_constraintStart_toStartOf="@id/fingerRight3"
            app:layout_constraintTop_toBottomOf="@id/fingerRight3"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerRight4"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginStart="60dp"
            android:layout_marginTop="17dp"
            android:contentDescription="@null"
            app:layout_constraintStart_toStartOf="@id/right"
            app:layout_constraintTop_toTopOf="@id/right"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerRight4Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerRight4"
            app:layout_constraintStart_toStartOf="@id/fingerRight4"
            app:layout_constraintTop_toBottomOf="@id/fingerRight4"
            tools:ignore="SmallSp" />

        <ImageView
            android:id="@+id/fingerRight5"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginTop="116dp"
            android:contentDescription="@null"
            app:layout_constraintStart_toStartOf="@id/right"
            app:layout_constraintTop_toTopOf="@id/right"
            tools:src="@mipmap/icon_wlr" />

        <TextView
            android:id="@+id/fingerRight5Text"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="已录入"
            android:textColor="#FF0183FA"
            android:textSize="11sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/fingerRight5"
            app:layout_constraintStart_toStartOf="@id/fingerRight5"
            app:layout_constraintTop_toBottomOf="@id/fingerRight5"
            tools:ignore="SmallSp" />

        <TextView
            android:id="@+id/enroll"
            android:layout_width="148dp"
            android:layout_height="40dp"
            android:background="@drawable/shape_rect_round_6_solid_0183fa"
            android:gravity="center"
            android:textColor="@android:color/white"
            android:textSize="17sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/left"
            tools:text="指纹录入" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>